
server:
  port: 8101
# Spring
spring:
  application:
    # 应用名称
    name: m2pool-gateway
  main:
    allow-circular-references: true
    allow-bean-definition-overriding: true

  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8808
        namespace: m2_test
        group: m2_test_group
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8808
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
        namespace: m2_test
        group: m2_test_group
    sentinel:
      # 取消控制台懒加载
      eager: true
      transport:
        # 控制台地址
        dashboard: 127.0.0.1:8718
      # nacos配置持久化
      datasource:
        ds1:
          nacos:
            server-addr: 127.0.0.1:8808
            dataId: sentinel-m2pool-gateway
            groupId: m2_test_group
            data-type: json
            rule-type: flow
  servlet:
    multipart:
      max-file-size: 2MB
      max-request-size: 8MB
